### Method

# Gsk.RoundedRect.init_from_rect

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_init_from_rect (
      GskRoundedRect* self,
      const graphene_rect_t* bounds,
      float radius
    )

#### Description [src]

Initializes `self` to the given `bounds` and sets the radius of all four corners to `radius`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| a `graphene_rect_t`
| Ownership is not transferred to the callee
`radius` | `float`
| the border radius

#### Return value

Returns: `GskRoundedRect`
the initialized rectangle
Ownership is not transferred to the caller